org.apache.flume.conf.source

## Enum SourceConfiguration.SourceConfigurationType

- java.lang.Object
- - java.lang.Enum<SourceConfiguration.SourceConfigurationType>
  - - org.apache.flume.conf.source.SourceConfiguration.SourceConfigurationType

- All Implemented Interfaces:
    Serializable, Comparable<SourceConfiguration.SourceConfigurationType>
  Enclosing class:
    SourceConfiguration

      public static enum SourceConfiguration.SourceConfigurationType
      extends Enum<SourceConfiguration.SourceConfigurationType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AVRO` Avro source.
    `EXEC` Exec source.
    `HTTP` HTTP Source
    `JMS` JMS Source
    `MULTIPORT_SYSLOGTCP` Multiport Syslog TCP Source
    `NETCAT` Netcat source.
    `OTHER`
    `SEQ`
    `SPOOLDIR` Spool directory source
    `SYSLOGTCP` Syslog Tcp Source
    `SYSLOGUDP` Syslog Udp Source
    `TAILDIR` TAILDIR Source
    `THRIFT` HTTP Source

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SourceConfiguration` | `getConfiguration(String name)`
    `String` | `getSourceConfigurationType()`
    `static SourceConfiguration.SourceConfigurationType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SourceConfiguration.SourceConfigurationType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OTHER

          public static final SourceConfiguration.SourceConfigurationType OTHER

    - #### SEQ

          public static final SourceConfiguration.SourceConfigurationType SEQ

    - #### NETCAT

          public static final SourceConfiguration.SourceConfigurationType NETCAT

      Netcat source.
      See Also:
        `NetcatSource`

    - #### EXEC

          public static final SourceConfiguration.SourceConfigurationType EXEC

      Exec source.
      See Also:
        `ExecSource`

    - #### AVRO

          public static final SourceConfiguration.SourceConfigurationType AVRO

      Avro source.
      See Also:
        `AvroSource`

    - #### SYSLOGTCP

          public static final SourceConfiguration.SourceConfigurationType SYSLOGTCP

      Syslog Tcp Source
      See Also:
        `SyslogTcpSource`

    - #### SYSLOGUDP

          public static final SourceConfiguration.SourceConfigurationType SYSLOGUDP

      Syslog Udp Source
      See Also:
        `SyslogUDPSource`

    - #### MULTIPORT_SYSLOGTCP

          public static final SourceConfiguration.SourceConfigurationType MULTIPORT_SYSLOGTCP

      Multiport Syslog TCP Source
      See Also:
        `MultiportSyslogTCPSource`

    - #### SPOOLDIR

          public static final SourceConfiguration.SourceConfigurationType SPOOLDIR

      Spool directory source
      See Also:
        `SpoolDirectorySource`

    - #### HTTP

          public static final SourceConfiguration.SourceConfigurationType HTTP

      HTTP Source
      See Also:
        `HTTPSource`

    - #### THRIFT

          public static final SourceConfiguration.SourceConfigurationType THRIFT

      HTTP Source
      See Also:
        `ThriftSource`

    - #### JMS

          public static final SourceConfiguration.SourceConfigurationType JMS

      JMS Source
      See Also:
        `JMSSource`

    - #### TAILDIR

          public static final SourceConfiguration.SourceConfigurationType TAILDIR

      TAILDIR Source
      See Also:
        `TaildirSource`

  - ### Method Detail

    - #### values

          public static SourceConfiguration.SourceConfigurationType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SourceConfiguration.SourceConfigurationType c : SourceConfiguration.SourceConfigurationType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SourceConfiguration.SourceConfigurationType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getSourceConfigurationType

          public String getSourceConfigurationType()

    - #### getConfiguration

          public SourceConfiguration getConfiguration(String name)
                                               throws ConfigurationException

      Throws:
        `ConfigurationException`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.